Page 2 of 6

Re: Error: Let's Encrypt validation status 400

Posted: Fri May 03, 2019 6:45 pm
by kennysvg
New Server running CentOS 7
Fresh install of VestaCP
Same Issue

Re: Error: Let's Encrypt validation status 400

Posted: Sun May 05, 2019 8:40 pm
by posarelli
kennysvg wrote:
Fri May 03, 2019 6:45 pm
New Server running CentOS 7
Fresh install of VestaCP
Same Issue
Same problem here...

Can anyone has solved yet this issue?

Re: Error: Let's Encrypt validation status 400

Posted: Mon May 06, 2019 10:24 pm
by pepsi
The aforementioned fix in v-add-letsencrypt-domain should address the issue. It has already been committed to the GitHub repo and will be included in the next release. Make sure you're on the latest version of VestaCP.

Re: Error: Let's Encrypt validation status 400

Posted: Tue May 07, 2019 3:44 pm
by DESSAR_SEGA
pepsi wrote:
Mon May 06, 2019 10:24 pm
The aforementioned fix in v-add-letsencrypt-domain should address the issue. It has already been committed to the GitHub repo and will be included in the next release. Make sure you're on the latest version of VestaCP.
moved to new server & same probleme.
ubuntu 16.04

Re: Error: Let's Encrypt validation status 400

Posted: Thu May 09, 2019 10:24 am
by fanok
I have same problem.
v-add-letsencrypt-domain file is right $domain and I did reinstallation.
The problem same

Re: Error: Let's Encrypt validation status 400

Posted: Fri May 10, 2019 2:53 am
by kennysvg
fanok wrote:
Thu May 09, 2019 10:24 am
I have same problem.
v-add-letsencrypt-domain file is right $domain and I did reinstallation.
The problem same
My v-add-letsencrypt-domain has the fix already as well. So that's not the issue here.

Desperately need a solution to this.

Re: Error: Let's Encrypt validation status 400

Posted: Fri May 10, 2019 10:28 pm
by vmSean
I also have this problem

Brand new CentOS 7 (x64) install & up2date, running in a VM.
- Tried yum reinstall vesta
- Confirmed my "v-add-letsencrypt-domain" file has proper $domain variable
- Confirmed iptables is allowing both TCP 80 and 443
- Confirmed my NAT firewall (pfSense) is allowing both TCP 80 and 443

A couple things I noticed that may or may not be relevant:
- It appears as if the ".well-known" isn't getting created. Not sure if this is normal behavior considering the "400" error.
- After messing with this for a while, I started getting the error "Let's Encrypt new auth status 429" which unfortunately is a rate limiting error. I should have used their sandbox environment for testing this, but I don't know how to configure that.
- There is no "certbot" script - is Vesta not using certbot?

I'd also love to get this sorted out, otherwise I'm going to have to abandon Vesta, as not being able to use Let's Encrypt is a showstopper for me.

Re: Error: Let's Encrypt validation status 400

Posted: Wed May 15, 2019 2:06 pm
by Mariop
vmSean wrote:
Fri May 10, 2019 10:28 pm
I also have this problem

Brand new CentOS 7 (x64) install & up2date, running in a VM.
- Tried yum reinstall vesta
- Confirmed my "v-add-letsencrypt-domain" file has proper $domain variable
- Confirmed iptables is allowing both TCP 80 and 443
- Confirmed my NAT firewall (pfSense) is allowing both TCP 80 and 443

A couple things I noticed that may or may not be relevant:
- It appears as if the ".well-known" isn't getting created. Not sure if this is normal behavior considering the "400" error.
- After messing with this for a while, I started getting the error "Let's Encrypt new auth status 429" which unfortunately is a rate limiting error. I should have used their sandbox environment for testing this, but I don't know how to configure that.
- There is no "certbot" script - is Vesta not using certbot?

I'd also love to get this sorted out, otherwise I'm going to have to abandon Vesta, as not being able to use Let's Encrypt is a showstopper for me.
I have exactly the same problem. Can not decide.
Did you succeed?

Re: Error: Let's Encrypt validation status 400

Posted: Wed May 15, 2019 5:13 pm
by vmSean
Nope. Had to abandon VestaCP.

-Sean

Re: Error: Let's Encrypt validation status 400

Posted: Fri May 17, 2019 1:07 am
by m0ze
Faced the same problem today, after several attempts and two reinstalls I've fixed this error by disabling two options for my domain on CloudFlare account: "force HTTPS" and "fix HTTP" (later I've tested this steps for two other domains - all the same things). Maybe this will help someone.